//
//  Controller.m
//  CheckboxBindings
//
//  Created by Kevin Wojniak on 2/11/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "Controller.h"


@implementation Controller

@synthesize flag, statusMessage;

- (void)updateStatusMessage
{
	self.statusMessage = [NSString stringWithFormat:@"flag = %@", (self.flag ? @"YES" : @"NO")];
}

- (void)awakeFromNib
{
	[self addObserver:self forKeyPath:@"flag" options:0 context:NULL];
	self.flag = YES;
}

- (void)observeValueForKeyPath:(NSString *)keyPath ofObject:(id)object change:(NSDictionary *)change context:(void *)context
{
	[self updateStatusMessage];
}

@end
